//importing d3.geoPath() to display geographic data
import { geoPath } from 'd3';

//using 'geoAlbersUsaTerritories()' function as a geo-projection to display the 50 states of the USA
const projection = geoAlbersUsaTerritories.geoAlbersUsaTerritories();
const path = geoPath(projection);

//the following statements exports a const declaration
export const Marks = ({ data: { land, interiors } }) => (
  <g className="marks">
    {land.features.map(feature => (
      <path className="land" d={path(feature)} />
    ))}
    <path className="interiors" d={path(interiors)} />
  </g>
);